/**
 *  Copyright (c) 1997-2013, tinygroup.org (luo_guo@live.cn).
 *
 *  Licensed under the GPL, Version 3.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *       http://www.gnu.org/licenses/gpl.html
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 * --------------------------------------------------------------------------
 *  版权 (c) 1997-2013, tinygroup.org (luo_guo@live.cn).
 *
 *  本开源软件遵循 GPL 3.0 协议;
 *  如果您不遵循此协议，则不被允许使用此文件。
 *  你可以从下面的地址获取完整的协议文本
 *
 *       http://www.gnu.org/licenses/gpl.html
 */
package org.tinygroup.weekday;

/**
 * 只有isSuitable返回true的时候，isWorkingTime返回的结果才有效
 * 时间检查
 * @author luoguo
 *
 */
public interface TimeChecker {

	/**
	 * 返回指定时间是否工作时间
	 * @param pureTime
	 * @return
	 */
	boolean isWorkingTime(PureTime pureTime);

	/**
	 * 返回是否适合检查
	 * @param pureTime
	 * @return
	 */
	boolean isSuitableTime(PureTime pureTime);
}
